Subject: Re: bug#29675: databases should be created with chattr +C

From: Efraim Flashner <[email-masked]>
Date: Wed, 20 Dec 2017 15:31:12 +0200

On Wed, Dec 20, 2017 at 02:12:39PM +0100, Ludovic Courtès wrote:
> Hello,
> 
> Danny Milosavljevic <[email-masked]> skribis:
> 
> > On Tue, 12 Dec 2017 13:46:08 +0200
> > Efraim Flashner <[email-masked]> wrote:
> >
> >> We support running GuixSD on top of btrfs, and the prevailing wisdom is
> >> to mark databases (sqlite, postgresql, etc.) as 'chattr +C', that is, as
> >> not copy-on-write. It is honored under ext4, but it shouldn't cause any
> >> changes.
> >
> > It sounds reasonable to do that - but I don't think that relational databases are managed by the Guix store.  Rather they are in /var or in the home directory.  Long story short, it would make sense for Postgres and Sqlite upstream to do the chattr +C, if they don't already do it.
> 
> I agree.
> 
> Efraim, unless we have a specific example, I’m inclined to close it as
> “not-a-bug”, with the understanding that it’s an upstream issue rather
> than something GuixSD-specific.
> 
> How does that sound?
> 
> Ludo’.

My intention was that after creating the database in /var that it should
get 'chattr +C file', but it actually looks like people are divided
between less fragmentation from not CoW for the database or more
recovery options from having it CoW and the checksumming, so closing it
and leaving it alone for now seems best.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted